2010-03-16  Lluis Sanchez Gual  <lluis@novell.com>

	* Base.glade:
	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.Core.Gui.csproj:
	* MonoDevelop.Core.Gui/MessageService.cs:
	* MonoDevelop.Core.Gui.Dialogs/ErrorDialog.cs:
	* MonoDevelop.Core.Gui.Dialogs/ProgressDialog.cs:
	* gtk-gui/MonoDevelop.Core.Gui.Dialogs.ErrorDialog.cs:
	* gtk-gui/MonoDevelop.Core.Gui.Dialogs.ProgressDialog.cs:
	* MonoDevelop.Core.Gui.ProgressMonitoring/MessageDialogProgressMonitor.cs:
	  Ported ErrorDialog and ProgressDialog from glade to stetic.

2010-03-16  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* gtk-gui/generated.cs:
	* MonoDevelop.Core.Gui.csproj:
	* MonoDevelop.Core.Gui.Instrumentation:
	* MonoDevelop.Core.Gui.Instrumentation/TimersView.cs:
	* MonoDevelop.Core.Gui.Instrumentation/TimeLineView.cs:
	* gtk-gui/MonoDevelop.Core.Gui.Instrumentation.TimersView.cs:
	* MonoDevelop.Core.Gui.Instrumentation/TimeLineViewWindow.cs:
	* MonoDevelop.Core.Gui.Instrumentation/CounterSelectorDialog.cs:
	* MonoDevelop.Core.Gui.Instrumentation/InstrumenationChartView.cs:
	* gtk-gui/MonoDevelop.Core.Gui.Instrumentation.TimeLineViewWindow.cs:
	* MonoDevelop.Core.Gui.Instrumentation/InstrumentationViewerDialog.cs:
	* gtk-gui/MonoDevelop.Core.Gui.Instrumentation.CounterSelectorDialog.cs:
	* gtk-gui/MonoDevelop.Core.Gui.Instrumentation.InstrumenationChartView.cs:
	* gtk-gui/MonoDevelop.Core.Gui.Instrumentation.InstrumentationViewerDialog.cs:
	  Moved instrumentation gui to standalone monitor app.

2010-03-15  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* gtk-gui/generated.cs:
	* MonoDevelop.Core.Gui.csproj:
	* MonoDevelop.Core.Gui.Instrumentation:
	* MonoDevelop.Core.Gui.Instrumentation/TimersView.cs:
	* MonoDevelop.Core.Gui.Instrumentation/TimeLineView.cs:
	* gtk-gui/MonoDevelop.Core.Gui.Instrumentation.TimersView.cs:
	* MonoDevelop.Core.Gui.Instrumentation/TimeLineViewWindow.cs:
	* MonoDevelop.Core.Gui.Dialogs/InstrumentationViewerDialog.cs:
	* MonoDevelop.Core.Gui.Instrumentation/CounterSelectorDialog.cs:
	* MonoDevelop.Core.Gui.Instrumentation/InstrumenationChartView.cs:
	* gtk-gui/MonoDevelop.Core.Gui.Instrumentation.TimeLineViewWindow.cs:
	* gtk-gui/MonoDevelop.Core.Gui.Dialogs.InstrumentationViewerDialog.cs:
	* MonoDevelop.Core.Gui.Instrumentation/InstrumentationViewerDialog.cs:
	* gtk-gui/MonoDevelop.Core.Gui.Instrumentation.CounterSelectorDialog.cs:
	* gtk-gui/MonoDevelop.Core.Gui.Instrumentation.InstrumenationChartView.cs:
	* gtk-gui/MonoDevelop.Core.Gui.Instrumentation.InstrumentationViewerDialog.cs:
	  New gui for the instrumentation service. Added time line
	  view.

2010-03-08  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Core.Gui.addin.xml: Added jay mime type.

2010-03-08  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Gui.Components/FileBrowser.cs: Moved
	  toolbar to the file scout pad.

2010-02-24  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Core.Gui.csproj:
	* icons/assembly-project-16.png:
	* MonoDevelop.Core.Gui.addin.xml: New icon for compiled
	  assembly projects.

2010-02-18  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Gui/ImageService.cs:
	* MonoDevelop.Core.Gui.Codons/MimeTypeNode.cs:
	* MonoDevelop.Core.Gui.Dialogs/OptionsDialog.cs:
	* MonoDevelop.Core.Gui.Codons/OptionsDialogSection.cs: Use the
	  new IconId type to represent icon names.

	* MonoDevelop.Core.Gui/CellRendererPixbuf.cs: Renamed to
	  CellRendererIcon to avoid conflicts with the Gtk class.
	  Added support for rendering icons specified with IconId
	  objects.

	* MonoDevelop.Core.Gui/StockIcons.cs: Use new IconId type.

2010-02-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Core.Gui/ImageService.cs: removed assert gui
	  thread.

2010-02-15  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Core.Gui/ImageService.cs: Fixed 'Bug 578960 -
	  Some stock icons not loading'.

2010-02-11  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Gui/ImageService.cs:
	* MonoDevelop.Core.Gui.Codons/StockIconCodon.cs: Add support
	  for loading icons from files.

2010-02-10  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Gui.addin.xml: Remove registration of
	  nonexistent icon.

2010-02-09  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Gui/CellRendererPixbuf.cs: Fix lazy loading
	  of pixbuf handler.

	* MonoDevelop.Core.Gui/ImageService.cs: Tidy up error handling
	  a bit. Re-enable lazy loading.

2010-02-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Core.Gui/ImageService.cs:
	* MonoDevelop.Core.Gui/CellRendererPixbuf.cs: turned lazy
	  loading off.

2010-02-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Core.Gui/ImageService.cs: passed the buffer
	  directly.

2010-02-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Core.Gui/ImageService.cs: re-enabled lazy
	  loading.

2010-02-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Core.Gui/ImageService.cs: fixed gdk warning.

2010-02-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Core.Gui/ImageService.cs: re-enabled icon on
	  demand loading.

2010-02-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Core.Gui/ImageService.cs: disabled lazy loading
	  for now.

2010-02-09  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Core.Gui.csproj:
	* MonoDevelop.Core.Gui/ImageService.cs:
	* MonoDevelop.Core.Gui/CellRendererPixbuf.cs:
	* MonoDevelop.Core.Gui.Dialogs/OptionsDialog.cs: Implemented a
	  lazy loading image service/implemented custom
	  cellrendererpixbuf.

2010-01-28  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.Core.Gui.csproj:
	* MonoDevelop.Core.Gui.addin.xml:
	* icons/hicolor_status_16x16_pin-up.png:
	* icons/hicolor_status_16x16_pin-down.png:
	* icons/hicolor_status_16x16_pin-active.png: Added pin icons
	  from tomboy (for pinnable watches).

2010-01-19  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/generated.cs:
	* gtk-gui/MonoDevelop.Core.Gui.Dialogs.OptionsDialog.cs:
	* gtk-gui/MonoDevelop.Core.Gui.Dialogs.InstrumentationViewerDialog.cs:
	  Flush.

2010-01-18  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/generated.cs:
	* gtk-gui/MonoDevelop.Core.Gui.Dialogs.OptionsDialog.cs:
	* gtk-gui/MonoDevelop.Core.Gui.Dialogs.MultiMessageDialog.cs:
	* gtk-gui/MonoDevelop.Core.Gui.Dialogs.MultiTaskProgressDialog.cs:
	* gtk-gui/MonoDevelop.Core.Gui.Dialogs.InstrumentationViewerDialog.cs:
	  Flush.

2010-01-14  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Gui/DispatchService.cs: Don't break if
	  RunIteration returns false. This is not working on some
	  systems.

2009-12-11  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* icons/formatting-24.png:
	* icons/formatting-16.png:
	* icons/visual-style-24.png:
	* icons/visual-style-16.png:
	* icons/code-template-16.png:
	* icons/code-template-24.png:
	* icons/markers-rulers-24.png:
	* icons/markers-rulers-16.png:
	* icons/edit-find-next-24.png:
	* MonoDevelop.Core.Gui.csproj:
	* icons/edit-find-next-16.png:
	* icons/custom-commands-16.png:
	* icons/custom-commands-24.png:
	* icons/view-message-log-16.png:
	* icons/compiler-options-24.png:
	* icons/compiler-options-16.png:
	* MonoDevelop.Core.Gui.addin.xml:
	* icons/Icons.16x16.FindNextIcon:
	* icons/author-information-24.png:
	* icons/author-information-16.png:
	* icons/syntax-highlighting-16.png:
	* icons/syntax-highlighting-24.png:
	* icons/text-editor-behavior-24.png:
	* icons/text-editor-behavior-16.png: Add new icons.

2009-12-03  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Gui.ProgressMonitoring/BaseProgressMonitor.cs:
	  Don't crash MD if one of the Completed event handlers throws
	  an exception in an async dispatch.

2009-12-03  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Gui/DesktopApplication.cs: Add some sanity
	  checks for DesktopApplication.

2009-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Gui/DispatchService.cs: Name threads to
	  make debugging easier.

2009-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Gui/DispatchService.cs: Name the dispatcher
	  thread.

2009-12-02  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* icons/static-16.png:
	* MonoDevelop.Core.Gui.csproj:
	* MonoDevelop.Core.Gui.addin.xml: Added new overlay icon for
	  static members. Declared new icons for static members.

2009-11-20  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am: Use the correct Mono.Cairo reference.

2009-11-13  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Gui/MessageService.cs: Setting Modal is not
	  required.

2009-11-12  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Gui/GLibLogging.cs: Don't log unhandled
	  exceptions; let the IDE do that.

2009-11-12  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Gui/GLibLogging.cs: Remove ancient
	  reflection code now we depend on a reasonable GTK# version.

2009-10-30  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.Core.Gui.addin.xml: Bump MD version.

2009-10-29  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Core.Gui.csproj: Reference the mono-cairo
	  package.

2009-10-29  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/generated.cs:
	* gtk-gui/MonoDevelop.Core.Gui.Dialogs.OptionsDialog.cs:
	* gtk-gui/MonoDevelop.Core.Gui.Dialogs.MultiMessageDialog.cs:
	* gtk-gui/MonoDevelop.Core.Gui.Dialogs.MultiTaskProgressDialog.cs:
	* gtk-gui/MonoDevelop.Core.Gui.Dialogs.InstrumentationViewerDialog.cs:
	  Flush

2009-10-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Core.Gui/ImageService.cs: Handled pixbuf loading
	  failure.

2009-10-09  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Core.Gui.csproj:
	* MonoDevelop.Core.Gui.addin.xml:
	* icons/template-surroundwith-16.png: Added new icon.

2009-10-07  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.Core.Gui.addin.xml: Bump MD version.

2009-10-06  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Gui/DesktopApplication.cs: Quote file
	  names.

2009-10-02  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Gui/MessageService.cs: Added Yes/No stock
	  buttons.

2009-09-23  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Gui.Dialogs/InstrumentationViewerDialog.cs:
	  Minor visual fix.

2009-09-10  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Gui.Components/MenuButtonEntry.cs: Reduce
	  spacing, add convenience accessor for entry's text.

2009-09-02  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Gui.Components/MenuButtonEntry.cs: Pack in
	  the default button.

2009-09-02  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Gui.Components/MenuButtonEntry.cs: Add an
	  IEnumerable AddOptions overload. Check dimensions of array.

2009-09-02  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Gui.Components/MenuButtonEntry.cs: Use the
	  PositionFunc from MenuButton to align the menu so that it
	  actually looks like a dropdown. Also copy over the code to
	  make the button look depressed when the menu is visible. Add
	  a method for adding multiple options. Use generic
	  collection.

2009-09-02  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Gui.Components/MenuButtonEntry.cs: Expose
	  the entry.

2009-09-02  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Gui.Components/MenuButtonEntry.cs: Make a
	  ToolboxItem.

2009-09-01  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Gui/MessageService.cs: Use OK as default
	  button for informative dialogs.

2009-08-31  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Gui\SyncContextAttribute.cs: When running
	  on .NET, IMethodMessage.MethodBase returns the method for
	  the type of the proxy, instead of the target type. There is
	  no legal way of getting the target type, so we have to use
	  reflection here to get it.

2009-08-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Core.Gui.Components/FileBrowser.cs: Fixed
	  tooltip related warnings.

2009-08-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Core.Gui/ImageService.cs: When icon sizes differ
	  in icon composition no longer bail out, instead trying to
	  get a valid icon. 

2009-08-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Core.Gui/ImageService.cs: Fixed "Bug 534499 -
	  ImageService tries to compose icons at too many sizes".

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic: Update gtk# dependency.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Gui.csproj: Updated dependencies. We now
	  depend on gtk# 2.12.8, Mono 2.4, and Mono.Addins 0.4.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Gui\DispatchService.cs: Don't set STA
	  apartment. It doesn't work for the .NET debugger.

2009-08-25  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Gui/ImageService.cs: Better warnings when
	  composing icons.

2009-08-25  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Gui.csproj: Flush whitespace.

	* MonoDevelop.Core.Gui/GLibLogging.cs: Add GdkPixbuf to the
	  logging domains.

2009-08-25  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Gui/DesktopService.cs: Fix typo.

2009-08-18  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic:
	* MonoDevelop.Core.Gui.Dialogs/InstrumentationViewerDialog.cs:
	* gtk-gui/MonoDevelop.Core.Gui.Dialogs.InstrumentationViewerDialog.cs:
	  Fixed warning. Added method for flushing memory.

2009-08-10  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Gui\DispatchService.cs: MSBuild requires
	  STA to run.

2009-08-06  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MonoDevelop.Core.Gui.csproj: Fix resource name. Fixes build.

2009-08-06  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* icons/sort-namespace-16.png:
	* MonoDevelop.Core.Gui.csproj:
	* icons/remove-namespace-16.png:
	* MonoDevelop.Core.Gui.addin.xml: Added some icons.

2009-08-06  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.Core.Gui.csproj:
	* MonoDevelop.Core.Gui.Dialogs/InstrumentationViewerDialog.cs:
	* gtk-gui/MonoDevelop.Core.Gui.Dialogs.InstrumentationViewerDialog.cs:
	  Implemented instrumentation viewer.

	* MonoDevelop.Core.Gui/ImageService.cs: Fixed TryParseColor.
	  The new implementation didn't work (Gdk.Color.Parse doesn't
	  set the Pixel property).

2009-07-24  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Gui/MessageService.cs: Add new stock alert
	  button.

2009-07-22  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Gui/AlertDialog.cs: Make sure the label is
	  always aligned to the left.

2009-06-29  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* icons/folder-new-16.png:
	* icons/project-new-16.png:
	* icons/solution-new-16.png:
	* icons/workspace-new-16.png:
	* MonoDevelop.Core.Gui.csproj:
	* MonoDevelop.Core.Gui.addin.xml:
	* icons/solution-folder-new-16.png:
	* icons/Icons.16x16.NewCombineIcon.png:
	* icons/Icons.16x16.NewSolutionIcon.png: Improved icons for
	  new project, solution, workspace, etc.

2009-06-25  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Core.Gui.csproj:
	* MonoDevelop.Core.Gui.addin.xml:
	* icons/project-reference-folder-16.png:
	* icons/project-reference-package-16.png:
	* icons/project-reference-project-16.png: Added icons specific
	  for each reference type.

2009-06-23  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Core.Gui.csproj:
	* MonoDevelop.Core.Gui/GuiService.cs:
	* MonoDevelop.Core.Gui/RecentOpen.cs:
	* MonoDevelop.Core.Gui/DesktopService.cs:
	* MonoDevelop.Core.Gui.Components/FileBrowser.cs: Use the new
	  DesktopService instead of PlatformService.

2009-06-18  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Gui.Dialogs/OptionsDialog.cs: Show main
	  sections in bold.

2009-06-09  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Gui.Dialogs/OptionsDialog.cs:
	* MonoDevelop.Core.Gui.Codons/OptionsPanelNode.cs:
	* MonoDevelop.Core.Gui.Codons/OptionsDialogSection.cs: Added
	  support for dynamically adding/removing panels.

	* MonoDevelop.Core.Gui/ImageService.cs: Added method for
	  getting an stock id for a given pixbuf.

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* gtk-gui/MonoDevelop.Core.Gui.Dialogs.MultiMessageDialog.cs:
	* gtk-gui/MonoDevelop.Core.Gui.Dialogs.MultiTaskProgressDialog.cs:
	  Flush.

2009-06-03  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am: Add missing files.

2009-06-03  Lluis Sanchez Gual  <lluis@novell.com>

	* icons\monodevelop-32.png:
	* MonoDevelop.Core.Gui.csproj:
	* MonoDevelop.Core.Gui.addin.xml: Added new size for the MD
	  icon.

2009-06-03  Lluis Sanchez Gual  <lluis@novell.com>

	* icons\monodevelop-48.png:
	* icons\monodevelop-22.png:
	* icons\monodevelop-16.png:
	* MonoDevelop.Core.Gui.csproj:
	* icons\Icons.SharpDevelopIcon:
	* MonoDevelop.Core.Gui.addin.xml:
	* MonoDevelop.Core.Gui\StockIcons.cs:
	* icons\Icons.SharpDevelopIcon-22.png: Updated the MD icon.

2009-06-02  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Gui.addin.xml: The direct base type of
	  application/x-addin+xml is xml, not text.

2009-05-29  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Gui\DispatchService.cs: Limit the loop in
	  RunPendingEvents to 1000 iterations. This is a workaround
	  for an issue that some users have experienced. Sometimes
	  EventsPending starts return 'true' for all iterations,
	  causing the loop to never end.

	* MonoDevelop.Core.Gui\ImageService.cs:
	* MonoDevelop.Core.Gui\PlatformService.cs: Make sure the
	  default icon is returned for a file when none can be found.

2009-05-07  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Gui/SyncContextAttribute.cs: Don't use
	  ExecuteMessage to dispatch async calls, because this method
	  can only be used from the context of the target object. Use
	  reflection instead.

2009-05-04  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Gui/SyncContextAttribute.cs: Changed the
	  way async messages are dispatched. The old method did not
	  work well in ms.net.

2009-04-28  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic:
	* gtk-gui/MonoDevelop.Core.Gui.Dialogs.OptionsDialog.cs: Fix
	  broken changes in ok button handling.

2009-04-28  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Core.Gui.csproj:
	* MonoDevelop.Core.Gui.addin.xml:
	* icons/element-method-new-16.png: Added icon for new method.

2009-04-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Core.Gui.Dialogs/OptionsDialog.cs: Option dialog
	  no longer closes when it's not valid and ok is pressed.

2009-04-27  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Gui/PlatformService.cs: Fix infinite loop.

2009-04-27  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Gui.addin.xml:
	* MonoDevelop.Core.Gui/PlatformService.cs:
	* MonoDevelop.Core.Gui.Codons/MimeTypeNode.cs: Allow defining
	  base types of a mime type. For example, a .config file is
	  now a subtype of xml.

2009-04-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Core.Gui.addin.xml: Added IL mime type.

2009-04-25  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Core.Gui.addin.xml: Added lua syntax mode.

2009-04-24  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am: Flush file order.

	* MonoDevelop.Core.Gui/ImageService.cs: Add a dummy method we
	  can call to make sure the static constructor's run.

2009-04-24  Mike Krüger  <mkrueger@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.Core.Gui.addin.xml: Changed copyright tag.

2009-04-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Core.Gui/ImageService.cs: Renamed PixbufService
	  to ImageService.

2009-04-20  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Core.Gui.csproj:
	* MonoDevelop.Core.Gui/PixbufList.cs:
	* MonoDevelop.Core.Gui/AlertDialog.cs:
	* MonoDevelop.Core.Gui/ImageService.cs:
	* MonoDevelop.Core.Gui/PixbufService.cs:
	* MonoDevelop.Core.Gui/PlatformService.cs: Renamed
	  PixbufService to ImageService.

2009-04-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Core.Gui/PlatformService.cs: Fixed "Bug 489963 -
	  Files loose execution bit when saved".

2009-04-20  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Core.Gui.csproj:
	* MonoDevelop.Core.Gui/GuiService.cs:
	* MonoDevelop.Core.Gui/PixbufList.cs:
	* MonoDevelop.Core.Gui/AlertDialog.cs:
	* MonoDevelop.Core.Gui/PixbufService.cs:
	* MonoDevelop.Core.Gui/ResourceService.cs:
	* MonoDevelop.Core.Gui/PlatformService.cs: Replaced the
	  ResourceService with PixbufService. Got rid of some old
	  windows.forms inherited models.

2009-04-17  Mike Kestner  <mkestner@novell.com>

	* MonoDevelop.Core.Gui.csproj: don't require specific
	gtk-sharp version.

2009-04-17  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Core.Gui/ResourceService.cs: Removed icon
	  service.

2009-04-17  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Core.Gui.csproj:
	* MonoDevelop.Core.Gui.addin.xml:
	* MonoDevelop.Core.Gui.Dialogs/IDialogPanel.cs:
	* MonoDevelop.Core.Gui.Dialogs/OptionsDialog.cs:
	* MonoDevelop.Core.Gui.Codons/DialogPanelCodon.cs:
	* MonoDevelop.Core.Gui.Dialogs/TreeViewOptions.cs:
	* MonoDevelop.Core.Gui.Dialogs/AbstractOptionPanel.cs:
	* MonoDevelop.Core.Gui.Codons/OptionsDialogSection.cs:
	* MonoDevelop.Core.Gui.Dialogs/DefaultDialogPanelDescriptor.cs:
	  Removed old GPLed dialog panel infrastructure.

	* Makefile.am:
	* gtk-gui/gui.stetic: 

2009-04-17  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Core.Gui/IMementoCapable.cs: Changed
	  IMementoCapable interface.

2009-04-17  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Core.Gui/RecentOpen.cs:
	* MonoDevelop.Core.Gui/RecentFileStorage.cs: Worked on recent
	  open.

2009-04-17  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Core.Gui.csproj:
	* MonoDevelop.Core.Gui.Dialogs/IDialogPanel.cs:
	* MonoDevelop.Core.Gui.Codons/DialogPanelCodon.cs:
	* MonoDevelop.Core.Gui.Dialogs/IDialogPanelDescriptor.cs:
	* MonoDevelop.Core.Gui.Dialogs/DefaultDialogPanelDescriptor.cs:
	  Overworked dialog panels.

2009-04-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Core.Gui/ResourceService.cs: Fixed "Bug 495375 -
	  Exception while trying to rename a field.".

2009-04-15  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.Core.Gui.addin.xml: Bump MD version.

2009-04-06  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Gui/PlatformService.cs: Change the platform
	  service method for installing the global menu so that it
	  uses a command path instead of a GTK menu.

2009-04-06  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* icons/add-namespace-16.png:
	* MonoDevelop.Core.Gui.csproj:
	* MonoDevelop.Core.Gui.addin.xml:
	* MonoDevelop.Core.Gui/StockIcons.cs: Added new icon for
	  "resolve namespace" feature.

2009-04-03  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Core.Gui.csproj:
	* MonoDevelop.Core.Gui.addin.xml:
	* icons/element-extensionmethod-16.xcf:
	* icons/element-extensionmethod-16.png: Added extension
	  methods icons.

2009-03-24  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Gui.addin.xml: Fix icon reference.

2009-03-20  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* icons/Icons.16x16.Reference:
	* MonoDevelop.Core.Gui.csproj:
	* MonoDevelop.Core.Gui.addin.xml:
	* icons/project-reference-16.png: Replaced reference icon.

2009-03-13  Andrés G. Aragoneses  <aaragoneses@novell.com>

	* Base.glade: Making some strings not translatable.

2009-03-10  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Core.Gui.addin.xml: fixed "Bug 483721 - .glade
	  files don't have XML syntax highlighting".

2009-03-09  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Gui/DispatchService.cs: Use Glib.Timeout
	  instead of Glib.Idle for dispatching into the gui thread.
	  The execution of idle handlers may be delayed if there are
	  other events waiting.

2009-03-06  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Core.Gui.csproj:
	* icons/translation-fuzzy-16.png:
	* MonoDevelop.Core.Gui.addin.xml:
	* icons/translation-valid-16.png:
	* icons/translation-missing-16.png: Moved icons to the gettext
	  addin.

2009-03-05  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* icons/translation-fuzzy.png:
	* icons/translation-valid.png:
	* MonoDevelop.Core.Gui.csproj:
	* icons/translation-missing.png:
	* icons/translation-fuzzy-16.png:
	* icons/translation-valid-16.png:
	* icons/translation-missing-16.png: Fix icon file names.

2009-03-04  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Core.Gui.addin.xml: Added makefile mime.

2009-03-04  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am: corrected makefile.

2009-03-04  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Core.Gui.csproj:
	* MonoDevelop.Core.Gui.addin.xml: Added new icons to the icon
	  pool.

2009-03-04  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Core.Gui.csproj: 

	* icons/translation-fuzzy.png:
	* icons/translation-valid.png:
	* icons/translation-missing.png: Added some iconst for gettext
	  addin.

2009-03-03  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* icons/template-16.png:
	* MonoDevelop.Core.Gui.csproj:
	* MonoDevelop.Core.Gui.addin.xml: Added icon for code
	  templates.

2009-03-03  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* icons/keyword-16.png:
	* MonoDevelop.Core.Gui.csproj:
	* MonoDevelop.Core.Gui.addin.xml: Added icon for keywords

2009-03-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Core.Gui.addin.xml: added text/x-patch mime.

2009-02-28  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Gui/MessageService.cs: Better message for
	  saving before building. Thanks to Bálint Kriván.

2009-02-25  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Gui.addin.xml: Fix translatable strings.

2009-02-23  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Gui.Codons/OptionsPanelNode.cs: Localize
	  panel labels. Fixes "Bug 478440 - Missing i18n strings".

2009-02-18  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Gui/PlatformService.cs: Add a hook for
	  handling global menu installation.

2009-02-13  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* icons/warning-overlay.png:
	* MonoDevelop.Core.Gui.csproj:
	* MonoDevelop.Core.Gui.addin.xml: New icon for invalid
	  references.

2009-02-11  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Gui.Components/FileBrowser.cs: Add methods
	  for setting custom font and auto-resizing columns.

2009-02-11  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Gui.Dialogs/OptionsDialog.cs: Set a default
	  response type. Fixes "Bug 324499 - Predefined Default
	  button".

2009-02-10  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Gui.addin.xml: Add sln and mds to the
	  mimetype database.

2009-02-06  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Gui.mdp:
	* MonoDevelop.Core.Gui.csproj: Migrated to MSBuild file
	  format.

2009-02-03  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.Core.Gui.addin.xml: Bump MD version.

2009-02-02  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Gui.Dialogs/OptionsPanel.cs: DataObject is
	  now public.

2009-01-26  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Gui.mdp: Flush project format changes.

2009-01-26  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Gui.Dialogs/OptionsDialog.cs: Add a hack to work 
	around broken themes that attach themes to *Panel* widget names.

2009-01-20  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic:
	* gtk-gui/generated.cs:
	* gtk-gui/MonoDevelop.Core.Gui.Dialogs.OptionsDialog.cs:
	* gtk-gui/MonoDevelop.Core.Gui.Dialogs.MultiMessageDialog.cs:
	* gtk-gui/MonoDevelop.Core.Gui.Dialogs.MultiTaskProgressDialog.cs:
	Updated.

2009-01-15  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Core.Gui/RecentFileStorage.cs: fixed 'Bug 466238 -
	RecentFileStorage is extremely wasteful of threads'.

2009-01-14  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Core.Gui.mdp:
	* MonoDevelop.Core.Gui.Dialogs/OptionsDialog.cs: Added a new collection
	which stores the objects modified by the options dialog, so they can
	be properly saved by the invoker.

2009-01-12  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Core.Gui.addin.xml: Registered exe/dll mime type (for
	assembly browser).

2008-12-12  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Gui.mdp: Set correct target framework.

2008-12-11  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.Core.Gui.mdp:
	* MonoDevelop.Core.Gui.Dialogs/MultiMessageDialog.cs:
	* gtk-gui/MonoDevelop.Core.Gui.Dialogs.MultiMessageDialog.cs: Added
	dialog which allows showing multiple messages at once.

2008-12-09  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Gui.mdp: Don't require a specific version of
	Mono.Addins.

2008-12-04  Mike Kestner  <mkestner@novell.com>

	* MonoDevelop.Core.Gui/DesktopApplication.cs : add a ctor. used by
	the new gio-based GnomePlatform code.

2008-12-04  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Gui.ProgressMonitoring/BaseProgressMonitor.cs:
	Implement new SuccessWithWarnings property.

2008-12-03  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am: Make it work for parallel builds.

2008-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Gui/ResourceService.cs: Add licence header.

	* Makefile.am:
	* MonoDevelop.Core.Gui.mdp:
	* MonoDevelop.Core.Gui/ITextBufferStrategy.cs: Remove unused GPL file.

2008-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MonoDevelop.Core.Gui.mdp: Fix Makefile integration for AssemblyInfo.cs
	files.

2008-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* AssemblyInfo.cs:
	* AssemblyInfo.cs.in: Add AssemblyInfo.cs files that are autogenerated
	from the addin manifests.

2008-11-14  Mike Kestner  <mkestner@novell.com>

	* gtk-gui/*.cs: regen
	* gtk-gui/gui.stetic: go back to an hbox, reset some packing and
	sizing vars to let gtk layout do the right thing.

2008-11-13  Mike Kestner  <mkestner@novell.com>

	* gtk-gui/*.cs: regen
	* gtk-gui/gui.stetic: replace the main hbox with an hpaned to
	allow resizing.

2008-11-11  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* MonoDevelop.Core.Gui/AlertDialog.cs: Escape error text.

2008-11-05  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Gui.addin.xml: Bump MD version.

2008-10-22  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Gui/MessageService.cs: Use Ok button for warning
	dialogs.

2008-10-13  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Core.Gui/MessageService.cs: Added proceed button to fix
	the build.

2008-10-02  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Core.Gui.mdp,
	  MonoDevelop.Core.Gui/GuiSyncAbstractService.cs,
	  MonoDevelop.Core.Gui/GuiService.cs,
	  MonoDevelop.Core.Gui/PlatformService.cs, Makefile.am: Track removal
	  of service APIs.

2008-09-30  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Core.Gui/PlatformService.cs: added
	  DefaultControlLeftRightBehavior to the platform service.

2008-09-12  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui.mdp: Updated.

2008-08-18  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui.mdp,
	  MonoDevelop.Core.Gui.Dialogs/OptionsDialog.cs, Makefile.am,
	  icons/empty-category-16.png, icons/empty-category-22.png,
	  MonoDevelop.Core.Gui.addin.xml: Added new simple icon for option
	  dialog panels which don't have one.

2008-08-07  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui.mdp, Makefile.am, icons/breakpoint-new-16.png,
	  icons/breakpoint-new-22.png, MonoDevelop.Core.Gui.addin.xml: Added
	  icons for New Breakpoint.
	* MonoDevelop.Core.Gui/GLibLogging.cs,
	  MonoDevelop.Core.Gui/PlatformService.cs: Fix warnings.

2008-08-06  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui.mdp, Makefile.am,
	  icons/breakpoint-on-off-22.png, icons/breakpoint-invalid-16.png,
	  icons/breakpoint-16.png, icons/breakpoint-disable-all-16.png,
	  icons/breakpoint-invalid-22.png, icons/breakpoint-22.png,
	  icons/breakpoint-remove-all-16.png,
	  icons/breakpoint-disable-all-22.png,
	  icons/breakpoint-disabled-16.png, icons/BreakPoint.png,
	  icons/breakpoint-remove-all-22.png,
	  icons/breakpoint-disabled-22.png, icons/breakpoint-on-off-16.png,
	  MonoDevelop.Core.Gui.addin.xml: Add new breakpoint icons.
	* MonoDevelop.Core.Gui/ResourceService.cs: Made public the api for
	  registering new icons.

2008-07-24  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Core.Gui/ResourceService.cs: For icon names that begin
	  with '#', return a block of colour.

2008-07-15  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Core.Gui/PlatformService.cs: Fixed possible null
	  reference exception.

2008-07-07  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui/SyncContext.cs: Avoid name colisions when
	  creating sync delegates.

2008-06-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui.addin.xml: Bump MD version.

2008-06-03  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui.Dialogs/OptionsDialog.cs: Use the OnDestroyed
	  event instead of Dispose, since with the latest changes in gtk#,
	  Dispose is not called anymore when a widget is destroyed.

2008-05-27  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui/AlertDialog.cs,
	  MonoDevelop.Core.Gui/MessageService.cs: Make font smaller for
	  alterts with only primary text.
	* MonoDevelop.Core.Gui.ProgressMonitoring/MessageDialogProgressMonitor.cs:
	  Added missing null check.

2008-05-26  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui.ProgressMonitoring/BaseProgressMonitor.cs: Make
	  sure all async method calls are finished before disposing the
	  progress monitor.

2008-05-23  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui.Dialogs/OptionsDialog.cs: Add some more spacing
	  between panels.

2008-05-22  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui.Dialogs/OptionsDialog.cs: Merged the extension
	  points for project and solution option panels into a single
	  extension point. A single extension point will now be used for all
	  kinds of items. Extension conditions can be used to make panels
	  visible only for some specific item types.

2008-05-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui.mdp,
	  MonoDevelop.Core.Gui.Dialogs/OptionsDialog.cs,
	  MonoDevelop.Core.Gui.Components/MenuButtonEntry.cs,
	  MonoDevelop.Core.Gui.Codons/OptionsPanelNode.cs,
	  MonoDevelop.Core.Gui/StockIcons.cs,
	  MonoDevelop.Core.Gui/DispatchService.cs, Makefile.am,
	  icons/solution-folder-open-16.png,
	  icons/solution-folder-closed-16.png,
	  MonoDevelop.Core.Gui.addin.xml: New project model changes.

2008-05-08  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Core.Gui/PlatformService.cs: Add a method for determining
	  whether a given mimetype is text.
	* MonoDevelop.Core.Gui.Codons/MimeTypeNode.cs: Add an attribute for
	  determining whether a given mimetype is text.
	* MonoDevelop.Core.Gui.addin.xml: Set "isText" attribute on the
	  mimetype definitions.

2008-04-30  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Core.Gui.mdp: Fix GTK# version to 2.8.

2008-04-24  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Core.Gui/GLibLogging.cs: Fix a logic error introduced in
	  the last commit.

2008-04-24  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Core.Gui/GLibLogging.cs: Install some more GLib log
	  handlers.

2008-04-23  Zach Lute <zach.lute@gmail.com> 

	* MonoDevelop.Core.Gui.Dialogs/TreeViewOptions.cs: Project Options (and
	  other TreeView options) will now correctly select the first element
	  for display. (Bug #379227)

2008-04-15  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui.mdp, Makefile.am, icons/Icons.16x16.XMLFileIcon,
	  icons/file-xml-16.png, icons/file-addin-16.png,
	  MonoDevelop.Core.Gui.addin.xml: Added new icon for xml files. Added
	  icon and mime type for add-in manifests.
	* MonoDevelop.Core.Gui.Codons/MimeTypeNode.cs: Fix file pattern
	  matching.

2008-04-11  Michael Hutchinson <mhutchinson@novell.com> 

	* Base.glade: Remove some default generated names from labels. They
	  were showing up for some users.

2008-04-11  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui.mdp,
	  MonoDevelop.Core.Gui.Codons/MimeTypeNode.cs,
	  MonoDevelop.Core.Gui.Components/FileBrowser.cs,
	  MonoDevelop.Core.Gui/PlatformService.cs,
	  MonoDevelop.Core.Gui/DefaultPlatformService.cs, Makefile.am,
	  MonoDevelop.Core.Gui.addin.xml: Added extension point for
	  registering new mime types.
	* MonoDevelop.Core.Gui/ResourceService.cs: Make GetIcon work for stock
	  gnome icons.

2008-04-08  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Core.Gui/GLibLogging.cs: Log GDK messages too, and
	  correct a typo.

2008-03-25  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Core.Gui/GLibLogging.cs: Improve stack trace.

2008-03-21  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Core.Gui.mdp, Makefile.am: Updated.
	* MonoDevelop.Core.Gui/GLibLogging.cs: Convenience class for logging
	  GLib messages via the LoggingService.

2008-03-21  Geoff Norton <gnorton@novell.com> 

	* MonoDevelop.Core.Gui/PlatformService.cs: Add VB to mimetypes list.

2008-03-11  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Core.Gui/MessageService.cs: Make all calls to the GUI
	  message service invoked synchronously on the GUI thread, hopefully
	  unbreaking code that depended on this behaviour.

2008-03-10  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui/MessageService.cs: Added confirm method.

2008-03-07  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Core.Gui/MessageService.cs: Make message service
	  GUI-thread safe again for methods with no return value, and add GUI
	  thread asserts to the unsafe methods.

2008-03-07  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui.mdp,
	  MonoDevelop.Core.Gui.Dialogs/OptionsDialog.cs,
	  MonoDevelop.Core.Gui.Dialogs/OptionsPanel.cs,
	  MonoDevelop.Core.Gui.Dialogs/IOptionsPanel.cs,
	  MonoDevelop.Core.Gui.Codons/OptionsDialogSection.cs,
	  MonoDevelop.Core.Gui.Codons/OptionsPanelNode.cs,
	  gtk-gui/MonoDevelop.Core.Gui.Dialogs.OptionsDialog.cs,
	  gtk-gui/generated.cs, gtk-gui/gui.stetic, Makefile.am,
	  icons/pad-task-list-24.png, MonoDevelop.Core.Gui.addin.xml:
	  Implemented new options dialog.

2008-03-05  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Core.Gui/PlatformService.cs: Add XAML to mimetypes list.

2008-03-05  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Core.Gui/MessageService.cs: Added gui sync object to the
	  showdialog.

2008-03-04  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Core.Gui/MessageService.cs: Fixed some dialogs for hig
	  compliance.

2008-03-04  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Core.Gui.mdp,
	  MonoDevelop.Core.Gui.Dialogs/AbstractOptionPanel.cs,
	  MonoDevelop.Core.Gui.Components/FileBrowser.cs,
	  MonoDevelop.Core.Gui/IMessageService.cs,
	  MonoDevelop.Core.Gui/AlertDialog.cs,
	  MonoDevelop.Core.Gui/MessageService.cs,
	  MonoDevelop.Core.Gui/GuiService.cs,
	  gtk-gui/MonoDevelop.Core.Gui.Dialogs.MultiTaskProgressDialog.cs,
	  Makefile.am,
	  MonoDevelop.Core.Gui.ProgressMonitoring/MessageDialogProgressMonitor.cs,
	  MonoDevelop.Core.Gui.ProgressMonitoring/MultiTaskDialogProgressMonitor.cs:
	  Worked on gnome hig compliant alerts.

2008-02-28  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Core.Gui.Components/FileBrowser.cs: Added missing shortcut
	  strings

2008-02-25  Geoff Norton  <gnorton@novell.com>

	* MonoDevelop.Core.Gui/MonoDevelop.Core.Gui/PlatformService.cs: Add mime
	overloads for boo and xml.

2008-02-18  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui.mdp, Makefile.am: Fixed project references.

2008-02-14  Geoff Norton  <gnorton@novell.com>

	* MonoDevelop.Core.Gui/DefaultPlatformService.cs:
	* MonoDevelop.Core.Gui/MonoDevelop.Core.Gui/PlatformService.cs: Add a
	property for the PlatformService to identify itself to other bindings.

2008-02-12  Geoff Norton  <gnorton@novell.com>

	* MonoDevelop.Core.Gui/SyncContext.cs: Create from the interface is marked
	as virtual.  Implement the proper override.

2008-02-12  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Core.Gui.Dialogs/TreeViewOptions.cs: Make TreeViewOptions
	  implement IDisposable.

2008-02-01  Michael Hutchinson  <mhutchinson@novell.com> 

	* Makefile.am:
	* icons/element-literal-16.png:
	* MonoDevelop.Core.Gui.mdp:
	* MonoDevelop.Core.Gui.addin.xml: Updated icon.
	
	* icons/Icons.16x16.Literal:
	* icons/Icons.16x16.Struct: Removed old icons.

2008-01-29  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui.mdp, Makefile.am, icons/build-solution-16.png,
	  icons/build-solution-22.png, icons/build-project-16.png,
	  icons/build-project-22.png, icons/visibility-internal-16.png,
	  MonoDevelop.Core.Gui.addin.xml: Updated icons.

2008-01-29  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui.mdp, Makefile.am, icons/build-solution-16.png,
	  icons/Icons.16x16.GotoNextbookmark,
	  icons/Icons.22x22.ClearAllBookmarks.png,
	  icons/Icons.16x16.InternalDelegate, icons/visibility-private-16.png,
	  icons/Icons.16x16.Delegate, icons/Icons.16x16.ProtectedEnum,
	  icons/Icons.16x16.ProtectedClass, icons/element-method-16.png,
	  icons/Icons.16x16.Field, icons/element-property-16.png,
	  icons/Icons.16x16.PrivateInterface, icons/element-interface-16.png,
	  icons/build-project-16.png, icons/Icons.16x16.Method,
	  icons/Icons.16x16.InternalField, icons/file-interface-32.png,
	  icons/Icons.16x16.ProtectedDelegate, icons/pad-task-list-16.png,
	  icons/visibility-protected-16.png, icons/Icons.16x16.ProtectedEvent,
	  icons/element-namespace-16.png, icons/Icons.16x16.ProtectedStruct,
	  icons/Icons.16x16.PrivateEnum, icons/Icons.16x16.TaskListIcon,
	  icons/Icons.16x16.ProtectedInterface, icons/Icons.16x16.PrivateMethod,
	  icons/Icons.16x16.PrivateProperty, icons/Icons.16x16.InternalStruct,
	  icons/element-enumeration-16.png, icons/file-enum-32.png,
	  icons/Icons.16x16.NameSpace, icons/Icons.16x16.PrivateClass,
	  icons/Icons.16x16.InternalEnum, icons/Icons.22x22.GotoPrevbookmark.png,
	  icons/Icons.16x16.InternalProperty, icons/element-event-16.png,
	  icons/element-field-16.png, icons/Icons.16x16.Property,
	  icons/Icons.16x16.ClearAllBookmarks, icons/Icons.16x16.ProtectedField,
	  icons/Icons.16x16.InternalInterface, icons/Icons.16x16.ToggleBookmark,
	  icons/Icons.16x16.PrivateEvent, icons/Icons.16x16.GotoPrevbookmark,
	  icons/Icons.16x16.ProtectedProperty, icons/Icons.16x16.Class,
	  icons/Icons.16x16.PropertiesIcon, icons/Icons.16x16.PrivateStruct,
	  icons/element-structure-16.png, icons/Icons.16x16.InternalClass,
	  icons/element-class-16.png, icons/file-struct-32.png,
	  icons/Icons.22x22.GotoNextbookmark.png,
	  icons/visibility-internal-16.png, icons/Icons.16x16.PrivateField,
	  icons/Icons.16x16.Event, icons/Icons.22x22.ToggleBookmark.png,
	  icons/file-class-32.png, icons/Icons.16x16.ProtectedMethod,
	  icons/Icons.16x16.Interface, icons/Icons.16x16.Enum,
	  icons/Icons.16x16.PrivateDelegate, icons/element-delegate-16.png,
	  icons/Icons.16x16.InternalMethod, icons/Icons.16x16.InternalEvent,
	  MonoDevelop.Core.Gui.addin.xml, icons/Icons.16x16.BuildCombine,
	  icons/Icons.16x16.BuildCurrentSelectedProject: Added new tango icons by
	  Vinicius Depizzol.

2008-01-25  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui.addin.xml: Update MD version.

2008-01-25  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui.Dialogs/ErrorDialog.cs: Workaround to GetFields mono
	  bug fix.
	* MonoDevelop.Core.Gui.Components/FileBrowser.cs: Don't show labels in the
	  toolbar.

2008-01-23  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui.Dialogs/ProgressDialog.cs: Ensure we don't create
	  subclasses of classes with private fields bound by glade#. It would not
	  work due to bug 355228.
	* MonoDevelop.Core.Gui.Dialogs/TreeViewOptions.cs: Changed some fields to
	  internal. Workaround to glade# bug 355228.

2008-01-22  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Core.Gui.mdp, Makefile.am, icons/view-fullscreen_22.png,
	  icons/view-fullscreen.png: Remove unused icon.
	* MonoDevelop.Core.Gui/StockIcons.cs: Use GTK fullscreen icon (was added in
	  2.8)
	* MonoDevelop.Core.Gui/ResourceService.cs: Fix Path.Combine call.

2008-01-10  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui/DispatchService.cs: Fix bug #345477 - DispatchService
	  locks up GUI (on Windows). Patch by Rolandas Rudomanskis.

2008-01-08  Michael Hutchinson  <mhutchinson@novell.com> 

	* Base.glade: Make ErrorDialog modal, like all the other MessageService 
	  dialogs, so that it doesn't come up behind modal dialogs. Fixes 
	  "Bug 350627 - Error message dialogs come up behind modal dialogs".

2007-12-17  Aaron Bockover <abockover@novell.com>

	* icons/Icons.SharpDevelopIcon, icons/Icons.SharpDevelopIcon-22.png:
	Updated resources to the new tango icons

2007-12-17  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui.mdp, Makefile.am: RecentFiles location has changed.

2007-12-17  Lluis Sanchez Gual <lluis@novell.com> 

	* Freedesktop.RecentFiles/RecentFileStorage.cs,
	  Freedesktop.RecentFiles/RecentItem.cs,
	  MonoDevelop.Core.Gui/RecentFileStorage.cs,
	  MonoDevelop.Core.Gui/RecentItem.cs, MonoDevelop.Core.Gui/RecentOpen.cs:
	  Moved Freedesktop.RecentFiles classes to MonoDevelop.Core.Gui namespace.

2007-12-14  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui.mdp: Updated project files. The order of extended
	  properties won't change anymore.

2007-12-13  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui.mdp, MonoDevelop.Core.Gui.Components/FileBrowser.cs,
	  MonoDevelop.Core.Gui.Utils/FileIconLoader.cs,
	  MonoDevelop.Core.Gui/DesktopApplication.cs,
	  MonoDevelop.Core.Gui/RecentOpen.cs, MonoDevelop.Core.Gui/GuiService.cs,
	  MonoDevelop.Core.Gui/PlatformService.cs,
	  MonoDevelop.Core.Gui/DefaultPlatformService.cs, Makefile.am,
	  MonoDevelop.Core.Gui.addin.xml: Moved PlatformService to MD.Core.Gui.
	  Removed old FileIconService class, which is now implemented in
	  PlatformService.

2007-12-13  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui.mdp,
	  MonoDevelop.Core.Gui.Dialogs/MultiTaskProgressDialog.cs,
	  MonoDevelop.Core.Gui.Dialogs/DefaultDialogPanelDescriptor.cs,
	  MonoDevelop.Core.Gui.Codons/DialogPanelCodon.cs,
	  gtk-gui/MonoDevelop.Core.Gui.Dialogs.MultiTaskProgressDialog.cs,
	  gtk-gui/gui.stetic, Freedesktop.RecentFiles/RecentFileStorage.cs: API
	  cleanup.

2007-12-12  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui.addin.xml: Bump add-in versions.

2007-12-08  Zach Lute <zach.lute@gmail.com>

	* MonoDevelop.Core.Gui.Components/FileBrowser.cs: Location bar will now
	  expand to fill the rest of the toolbar.

2007-12-06  Geoff Norton  <gnorton@novell.com>

	* Base.glade: We no longer require libgnome, remove it.
	* MonoDevelop.Core.Gui/StockIcons.cs: Gnome.Stock.About isn't needed
	  anymore and removing it no longer hard-requires Gnome.
	* MonoDevelop.Core.Gui/DesktopApplication.cs: Move to MonoDevelop.Core
	  and refactor it to utilize the new PlatformService.
	* MonoDevelop.Core.Gui/RecentOpen.cs: 
	* MonoDevelop.Core.Gui/FileIconLoader.cs: Get Icon/Vfs information from
	  the PlatformService
	* Makefile.am: Remove DesktopApplication.cs from the build.

2007-12-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui.mdp, Makefile.am: Directory reorganization.

2007-12-03  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Core.Gui.WebBrowser/IWebBrowser.cs: Add LinkClicked event,
	  identical to LocationChanging except that it's not triggered by calls to
	  Load(Url|Html).

2007-11-30  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Core.Gui.mdp, MonoDevelop.Core.Gui.WebBrowser,
	  MonoDevelop.Core.Gui.WebBrowser/LoadingProgressChangedEventArgs.cs,
	  MonoDevelop.Core.Gui.WebBrowser/LocationChangedEventArgs.cs,
	  MonoDevelop.Core.Gui.WebBrowser/StatusMessageChangedEventArgs.cs,
	  MonoDevelop.Core.Gui.WebBrowser/IWebBrowserLoader.cs,
	  MonoDevelop.Core.Gui.WebBrowser/PageLoadedHandler.cs,
	  MonoDevelop.Core.Gui.WebBrowser/LocationChangingEventArgs.cs,
	  MonoDevelop.Core.Gui.WebBrowser/IWebBrowser.cs,
	  MonoDevelop.Core.Gui.WebBrowser/TitleChangedEventArgs.cs,
	  MonoDevelop.Core.Gui/WebBrowserService.cs, Makefile.am,
	  MonoDevelop.Core.Gui.addin.xml: Add new Web Browser extension point and
	  service.

2007-11-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui.mdp, MonoDevelop.Core.Gui.Dialogs/WizardDialog.cs,
	  MonoDevelop.Core.Gui.Dialogs/CurrentPanelPanel.cs,
	  MonoDevelop.Core.Gui.Dialogs/StatusPanel.cs,
	  MonoDevelop.Core.Gui.Dialogs/AbstractWizardPanel.cs,
	  MonoDevelop.Core.Gui.Dialogs/IWizardPanel.cs,
	  MonoDevelop.Core.Gui.Components/LocalizedObject.cs,
	  MonoDevelop.Core.Gui.Components/LocalizedPropertyAttribute.cs,
	  MonoDevelop.Core.Gui.Components/LocalizedPropertyDescriptor.cs,
	  MonoDevelop.Core.Gui/ResourceNotFoundException.cs, Makefile.am,
	  MonoDevelop.Core.Gui.ErrorHandlers,
	  MonoDevelop.Core.Gui.ErrorHandlers/CombineLoadError.cs,
	  MonoDevelop.Core.Gui.ErrorHandlers/GenericError.cs: Removed unused
	  files.
	* MonoDevelop.Core.Gui.Utils/FileIconLoader.cs,
	  MonoDevelop.Core.Gui/StockIcons.cs,
	  MonoDevelop.Core.Gui/DispatchService.cs,
	  MonoDevelop.Core.Gui/AsyncDispatchAttribute.cs,
	  MonoDevelop.Core.Gui/SyncContext.cs,
	  MonoDevelop.Core.Gui/FreeDispatchAttribute.cs,
	  MonoDevelop.Core.Gui/GuiSyncAbstractService.cs,
	  MonoDevelop.Core.Gui/GuiSyncContext.cs,
	  MonoDevelop.Core.Gui/SyncObject.cs,
	  MonoDevelop.Core.Gui/SyncContextAttribute.cs,
	  MonoDevelop.Core.Gui/GuiService.cs,
	  MonoDevelop.Core.Gui/GuiSyncObject.cs: Added missing license headers.

2007-11-20  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Core.Gui.Components/FileBrowser.cs: Log errors as well as
	  reporting them to the user.
	* Freedesktop.RecentFiles/RecentItem.cs: Use UTC for Unix timestamps.

2007-11-17  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui.mdp, MonoDevelop.Core.Gui/StockIcons.cs, Makefile.am,
	  icons/workspace-32.png, icons/workspace-16.png,
	  MonoDevelop.Core.Gui.addin.xml: Added workspace icons.
	* MonoDevelop.Core.Gui.Codons/DialogPanelCodon.cs: Made some extension node
	  attributes serializable.

2007-11-10  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui.Components/FileBrowser.cs: Make file scout icons
	  smaller.

2007-11-09  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Core.Gui.Dialogs/WizardDialog.cs,
	  MonoDevelop.Core.Gui.Dialogs/AbstractWizardPanel.cs,
	  MonoDevelop.Core.Gui.Components/FileBrowser.cs,
	  MonoDevelop.Core.Gui/DispatchService.cs,
	  MonoDevelop.Core.Gui/ResourceService.cs,
	  MonoDevelop.Core.Gui.ProgressMonitoring/MessageDialogProgressMonitor.cs,
	  MonoDevelop.Core.Gui.ProgressMonitoring/BaseProgressMonitor.cs,
	  MonoDevelop.Core.Gui.ProgressMonitoring/MultiTaskDialogProgressMonitor.cs,
	  Freedesktop.RecentFiles/RecentFileStorage.cs: Track LoggingService API
	  changes.

2007-11-10  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui.Components/FileBrowser.cs: Remove some frames.

2007-10-30  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui.mdp, Makefile.am, icons/Icons.16x16.MiscFiles,
	  icons/Icons.16x16.TextFileIcon, icons/web-overlay-16.png,
	  MonoDevelop.Core.Gui.addin.xml: Registered menu size html file icon.
	  Updated text file icon.

2007-10-29  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui.addin.xml: Bump MD version.

2007-10-25  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui.mdp, MonoDevelop.Core.Gui/StockIcons.cs, Makefile.am,
	  icons/Icons.32x32.CombineIcon, icons/Icons.16x16.NewCombineIcon.png,
	  icons/file-xml-32.png, icons/Icons.32x32.TextFileIcon,
	  icons/web-overlay-32.png, icons/Icons.32x32.EmptyProjectIcon,
	  icons/Icons.16x16.NewSolutionIcon.png, icons/file-interface-32.png,
	  icons/Icons.16x16.SolutionIcon, icons/Icons.32x32.EmptyFileIcon,
	  icons/file-struct-32.png, icons/Icons.16x16.CloseCombineIcon,
	  icons/FileIcons.XmlIcon, icons/file-enum-32.png,
	  icons/file-class-32.png, MonoDevelop.Core.Gui.addin.xml: Added
	  class/interface/enum/struct file icons. Tangoified other file icons.
	  Removed obsolete icons.

2007-10-24  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui.mdp, Makefile.am, icons/solution-32.png,
	  icons/web-overlay-32.png, icons/project-16.png, icons/solution-16.png,
	  icons/project-gui-32.png, icons/project-32.png,
	  icons/project-console-32.png, icons/project-library-32.png,
	  MonoDevelop.Core.Gui.addin.xml: Added new tangoified icons for project
	  and solution.
	* MonoDevelop.Core.Gui.Codons/StockIconCodon.cs,
	  MonoDevelop.Core.Gui/ResourceService.cs: Allow defining a stock icon as
	  a combination of a set of icons (e.g. a base icon and an overlay icon).
	* MonoDevelop.Core.Gui/StockIcons.cs: Set the correct names for solution and
	  project icons.

2007-10-22  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui.mdp: Updated.
	* MonoDevelop.Core.Gui.Components/FileBrowser.cs: Don't allow reordering of
	  rows.
	* MonoDevelop.Core.Gui/DispatchService.cs: Thread.ManagedThreadId is broken
	  (see bug #335579). Don't use it to check for the gui thread.

2007-10-15  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui.mdp: Fix warning level.
	* Base.glade: Made the preferences dialog slightly larger, to make the
	  highlight style page fit with common themes like Clearlooks. Patch by
	  Michael Monreal.

2007-10-12  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Core.Gui/SyncContext.cs, MonoDevelop.Core.Gui/RecentOpen.cs:
	  Applied changes that were neccassary for to the new FileService.

2007-10-11  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Core.Gui.Components/LocalizedPropertyDescriptor.cs,
	  MonoDevelop.Core.Gui/MessageService.cs: Changed calls for the new
	  StringParser.

2007-10-04  Mike Krüger <mkrueger@novell.com> 

	* Freedesktop.RecentFiles/RecentFileStorage.cs: Made recent file storage
	  more robust - should fix Bug 330419 - Exception reading the recent file
	  list.

2007-09-27  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Core.Gui.mdp: Remove duplicate gtk-sharp reference.
	* MonoDevelop.Core.Gui.Dialogs/MultiTaskProgressDialog.cs,
	  gtk-gui/MonoDevelop.Core.Gui.Dialogs.MultiTaskProgressDialog.cs,
	  gtk-gui/gui.stetic: Juggle some close/cancel event handling.
	* MonoDevelop.Core.Gui/MessageService.cs: Add a method for showing custom
	  GTK dialogs types in the GUI thread.

2007-09-27  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Core.Gui.mdp, Makefile.am: Updated.
	* MonoDevelop.Core.Gui.Dialogs/MultiTaskProgressDialog.cs, gtk-gui,
	  gtk-gui/generated.cs,
	  gtk-gui/MonoDevelop.Core.Gui.Dialogs.MultiTaskProgressDialog.cs,
	  gtk-gui/gui.stetic,
	  MonoDevelop.Core.Gui.ProgressMonitoring/MultiTaskDialogProgressMonitor.cs:
	  New IProgressMonitor that shows a GUI for multiple tasks.

2007-09-26  Lluis Sanchez Gual <lluis@novell.com> 

	* icons/Icons.SharpDevelopIcon, icons/Icons.SharpDevelopIcon-22.png: New
	  logo.

2007-09-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui.addin.xml: Bump MD version.

2007-09-05  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Core.Gui/IMementoCapable.cs: Fix build.

2007-09-04  Michael Hutchinson <MHutchinson@novell.com>

	* MonoDevelop.Core.Gui.Dialogs/WizardDialog.cs,
	  MonoDevelop.Core.Gui.Dialogs/CurrentPanelPanel.cs,
	  MonoDevelop.Core.Gui.Dialogs/StatusPanel.cs,
	  MonoDevelop.Core.Gui.Dialogs/TreeViewOptions.cs,
	  MonoDevelop.Core.Gui.Components/FileBrowser.cs,
	  MonoDevelop.Core.Gui/RecentOpen.cs,
	  MonoDevelop.Core.Gui/MessageService.cs,
	  MonoDevelop.Core.Gui/ResourceService.cs: Remove some warnings.

2007-08-31  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Core.Gui.Dialogs/WizardDialog.cs,
	  MonoDevelop.Core.Gui.Dialogs/CurrentPanelPanel.cs,
	  MonoDevelop.Core.Gui.Dialogs/DefaultDialogPanelDescriptor.cs,
	  MonoDevelop.Core.Gui.Dialogs/StatusPanel.cs,
	  MonoDevelop.Core.Gui.Dialogs/TreeViewOptions.cs,
	  MonoDevelop.Core.Gui.Dialogs/IDialogPanel.cs,
	  MonoDevelop.Core.Gui.Dialogs/IWizardPanel.cs,
	  MonoDevelop.Core.Gui.Components/FileBrowser.cs,
	  MonoDevelop.Core.Gui/IMessageService.cs,
	  MonoDevelop.Core.Gui/IMementoCapable.cs,
	  MonoDevelop.Core.Gui/RecentOpen.cs,
	  MonoDevelop.Core.Gui/MessageService.cs,
	  MonoDevelop.Core.Gui/ResourceService.cs: Changes due to new property
	  system.

2007-08-21  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Core.Gui/RecentOpen.cs, Freedesktop.RecentFiles/RecentItem.cs,
	  Freedesktop.RecentFiles/RecentFileStorage.cs: Fixed 82458: unable to
	  open files that have a colon in the path.

2007-08-09  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui.mdp,
	  MonoDevelop.Core.Gui.Codons/LocalCommandItemCodon.cs,
	  MonoDevelop.Core.Gui.Codons/ItemSetCodon.cs,
	  MonoDevelop.Core.Gui.Codons/LinkItemCodon.cs,
	  MonoDevelop.Core.Gui.Codons/CommandCategoryCodon.cs,
	  MonoDevelop.Core.Gui.Codons/CommandItemCodon.cs,
	  MonoDevelop.Core.Gui.Codons/CommandCodon.cs,
	  MonoDevelop.Core.Gui.Codons/SeparatorItemCodon.cs,
	  MonoDevelop.Core.Gui/CommandService.cs, Makefile.am,
	  MonoDevelop.Core.Gui.addin.xml: Removed the CommandService class.
	  Everything is done directly with CommandManager. Moved all extension
	  node types to MD.Components.

2007-08-09  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui.mdp, MonoDevelop.Core.Gui/ResourceService.cs,
	  Makefile.am, MonoDevelop.Core.Gui.addin.xml: Reorganized the extension
	  point hierarchy. Embedded all add-in manifests as resources.

2007-08-03  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui.Components/FileBrowser.cs,
	  MonoDevelop.Core.Gui/GuiService.cs: Avoid using the ServiceManager for
	  classes that are not registered as services.

2007-08-03  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui/MessageService.cs,
	  MonoDevelop.Core.Gui/GuiService.cs,
	  MonoDevelop.Core.Gui/ResourceService.cs, MonoDevelop.Core.Gui.addin.xml:
	  API cleanup. Converted core services into regular classes.

2007-08-02  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui.mdp, MonoDevelop.Core.Gui.Dialogs/ResourceService.cs,
	  MonoDevelop.Core.Gui/ResourceService.cs, Makefile.am: Moved
	  ResourceService to the correct location.
	* MonoDevelop.Core.Gui/DispatchService.cs: DispatchService is not a service
	  anymore.

2007-08-02  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui.addin.xml: DispatchServices is now a static class.

2007-08-02  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui/DispatchService.cs,
	  MonoDevelop.Core.Gui/GuiSyncContext.cs,
	  MonoDevelop.Core.Gui.ProgressMonitoring/MessageDialogProgressMonitor.cs,
	  MonoDevelop.Core.Gui.ProgressMonitoring/BaseProgressMonitor.cs:
	  Converted DispatchService to a static class.

2007-07-24  Lluis Sanchez Gual <lluis@novell.com> 

	* icons/Icons.16x16.ReplaceInFiles, icons/Icons.16x16.NewFolderIcon,
	  icons/Icons.16x16.ClosedResourceFolder,
	  icons/Icons.16x16.ClosedFolderBitmap,
	  icons/Icons.16x16.OpenResourceFolder,
	  icons/Icons.16x16.ClosedReferenceFolder,
	  icons/Icons.16x16.OpenFolderBitmap, icons/Icons.16x16.FindInFiles,
	  icons/Icons.16x16.OpenReferenceFolder: Tangoified icons.

2007-07-19  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui.Codons/CommandCategoryCodon.cs: Translate
	  category names.
	* icons/Icons.16x16.PropertiesIcon, icons/Icons.16x16.TaskListIcon: Use
	  gnome icons.

2007-07-18  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui.mdp,
	  MonoDevelop.Core.Gui.Codons/CommandCategoryCodon.cs,
	  MonoDevelop.Core.Gui.Codons/CommandCodon.cs,
	  MonoDevelop.Core.Gui/CommandService.cs, Makefile.am: Add support
	  for command categories.
	* MonoDevelop.Core.Gui.Components/FileBrowser.cs: Use the logging
	  service instead of the console.

2007-07-17  Jeffrey Stedfast  <fejj@novell.com>

	* MonoDevelop.Core.Gui.Codons/CommandCodon.cs: Use the new
	KeyBindingManager to canonicalize the shortcut string into the new
	format (in case it was in the old format).

2007-06-22  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Core.Gui.Dialogs/TreeViewOptions.cs,
	  MonoDevelop.Core.Gui.Dialogs/IDialogPanel.cs: Tree View Options now
	  works on the IDialogPanel interface instead of the abstract class
	  AbstractOptionPanel.

2007-06-20  Mike Krüger <mkrueger@novell.com> 

	Fixed a bug (treeviewoptions asserted that all option dialog
	widgets are frames).

2007-06-19  Mike Krüger <mkrueger@novell.com> 

	* icons/Icons.16x16.ClosedFolderBitmap: overworked some of the windows
	  icons.

2007-06-19  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui/DispatchService.cs: Fix some warnings.

2007-06-19  Mike Krüger <mkrueger@novell.com> 

	removed standalone tag from .recently-used.

2007-06-19  Mike Krüger <mkrueger@novell.com> 

	removed the BOM in .recently-used file.

2007-06-19  Mike Krüger <mkrueger@novell.com> 

	RecentItems now use the .NET classes for Uri and DateTime and hides some details of the freedesktop recent file management.

2007-06-19  Mike Krüger <mkrueger@novell.com> 

	Added file system watcher and file locking to recent file handling.

2007-06-18  Mike Krüger <mkrueger@novell.com> 

	Improved recent file management. The files are now stored only on disc. Still TODO: File System Locks (how to use the posix log from .NET) and file system watcher.

2007-05-31  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui.Dialogs/TreeViewOptions.cs: Expand root nodes by
	  default.

2007-05-25  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui/CommandService.cs: Unregister commands from
	  unloaded add-ins. Don't reuse extension objects when creating a
	  menu, since they may have changed.

2007-05-21  Ankit Jain  <jankit@novell.com>

	* MonoDevelop.Core.Gui/MessageService.cs: Ensure Dialogs are Destroy()'ed.

2007-05-11  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui.mdp: Reference copy fix.

2007-05-09  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui.mdp, Makefile.am: Reference shared assemblies
	  from the correct location.

2007-05-07  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui.mdp, MonoDevelop.Core.Gui.Dialogs/SetupApp.cs,
	  Makefile.am, MonoDevelop.Core.Gui.addin.xml: Implemented the gsetup
	  utility using Mono.Addins.
	* MonoDevelop.Core.Gui.Codons/LocalCommandItemCodon.cs,
	  MonoDevelop.Core.Gui.Codons/ItemSetCodon.cs,
	  MonoDevelop.Core.Gui.Codons/LinkItemCodon.cs,
	  MonoDevelop.Core.Gui.Codons/StockIconCodon.cs,
	  MonoDevelop.Core.Gui.Codons/CommandItemCodon.cs,
	  MonoDevelop.Core.Gui.Codons/CommandCodon.cs,
	  MonoDevelop.Core.Gui.Codons/DialogPanelCodon.cs,
	  MonoDevelop.Core.Gui.Codons/SeparatorItemCodon.cs: Use the
	  Mono.Addins attributes to provide extension documentation.

2007-05-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui.mdp,
	  MonoDevelop.Core.Gui.Dialogs/WizardDialog.cs,
	  MonoDevelop.Core.Gui.Dialogs/CurrentPanelPanel.cs,
	  MonoDevelop.Core.Gui.Dialogs/DefaultDialogPanelDescriptor.cs,
	  MonoDevelop.Core.Gui.Dialogs/IDialogPanel.cs,
	  MonoDevelop.Core.Gui.Dialogs/IWizardPanel.cs,
	  MonoDevelop.Core.Gui.Dialogs/StatusPanel.cs,
	  MonoDevelop.Core.Gui.Dialogs/TreeViewOptions.cs,
	  MonoDevelop.Core.Gui.Dialogs/ResourceService.cs,
	  MonoDevelop.Core.Gui.Codons/LocalCommandItemCodon.cs,
	  MonoDevelop.Core.Gui.Codons/ItemSetCodon.cs,
	  MonoDevelop.Core.Gui.Codons/LinkItemCodon.cs,
	  MonoDevelop.Core.Gui.Codons/StockIconCodon.cs,
	  MonoDevelop.Core.Gui.Codons/CommandItemCodon.cs,
	  MonoDevelop.Core.Gui.Codons/CommandCodon.cs,
	  MonoDevelop.Core.Gui.Codons/DialogPanelCodon.cs,
	  MonoDevelop.Core.Gui.Codons/SeparatorItemCodon.cs,
	  MonoDevelop.Core.Gui/IMessageService.cs,
	  MonoDevelop.Core.Gui/StockIcons.cs,
	  MonoDevelop.Core.Gui/CommandService.cs,
	  MonoDevelop.Core.Gui/MessageService.cs,
	  MonoDevelop.Core.Gui/GuiService.cs, Makefile.am,
	  icons/plugin-32.png, icons/plugin-16.png, icons/plugin-22.png,
	  MonoDevelop.Core.Gui.addin.xml: Migration to Mono.Addins.

2007-04-19  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui.mdp: Don't copy referenced assemblies.
	* MonoDevelop.Core.Gui/RecentOpen.cs: Purge deleted files from the
	  recent list.
	* Freedesktop.RecentFiles/RecentFiles.cs: Added method for removing old
	  entries from the recent list.

2007-02-24  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui.addin.xml: Fix compatible version number.

2007-02-16  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui.addin.xml: Change add-in versions to 0.13.

2007-02-15  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui.Utils/DesktopApplication.cs: Ooops, fix build.

2007-02-15  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui.mdp: Added missing file.
	* MonoDevelop.Core.Gui.Utils/DesktopApplication.cs: Fix warning.

2007-02-13  Lluis Sanchez Gual <lluis@novell.com> 

	* Makefile.am: Updated.

2007-02-08  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui.mdp: Updated.

2007-02-08  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui.mdp, Makefile.am: Synchronized the MD project
	  and the Makefile
	* MonoDevelop.Core.Gui.Dialogs/TreeViewOptions.cs: Allow overriding the
	  store method at dialog level.
	* MonoDevelop.Core.Gui/StockIcons.cs, icons/Icons.16x16.Information,
	  icons/Icons.16x16.SelectionArrow, icons/Icons.AboutImage,
	  icons/Icons.16x16.FindIcon, icons/Icons.16x16.OpenFileIcon,
	  icons/Icons.16x16.SubTypes, icons/Icons.16x16.NextWindowIcon,
	  icons/Icons.16x16.AboutIcon, icons/Icons.16x16.Library,
	  icons/Icons.16x16.SuperTypes, icons/Icons.32x32.ASPFileIcon,
	  icons/Icons.TipOfTheDayIcon, MonoDevelop.Core.Gui.addin.xml:
	  Removed some unused and ugly icons.

2006-02-02 David Makovský (Yakeen) <yakeen@sannyas-on.net>

	* MonoDevelop.Core.Gui/StockIcons.cs: removed unused (SD) stock icons
	* MonoDevelop.Core.Gui.addin.xml,
	* Makefile.am: removed and added icons
	* icons/Icons.16x16.NETWORK,
	* icons/Icons.16x16.FullScreen,
	* icons/Icons.16x16.MyComputer,
	* icons/Icons.16x16.PersonalFiles,
	* icons/Icons.16x16.DRIVE,
	* icons/Icons.16x16.CopyLeftIcon,
	* icons/Icons.16x16.Desktop : removed
	* icons/view-fullscreen_22.png,
	* icons/view-fullscreen.png,
	* icons/edit-select-all.png,
	* icons/edit-select-all_22.png: added tango icons

2007-01-29  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui.Utils/DesktopApplication.cs: Added missing id
	  field.

2007-01-22  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui.Utils/DesktopApplication.cs: Fix warning.
	* MonoDevelop.Core.Gui/DispatchService.cs: Added fixme.
	* MonoDevelop.Core.Gui/MessageService.cs: Implemented ShowCustomDialog
	  (patch by Michael Hutchinson).

2007-01-19  Marek Sieradzki  <marek.sieradzki@gmail.com>

	* MonoDevelop.Core.Gui.Components/FileBrowser.cs,
	  MonoDevelop.Core.Gui/ResourceNotFoundException.cs,
	  MonoDevelop.Core.Gui.ErrorHandlers/CombineLoadError.cs: Removed
	  redundant String.Format ().

2006-12-17  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui.mdp, MonoDevelop.Core.Gui/FileEventArgs.cs,
	  MonoDevelop.Core.Gui/DefaultFileService.cs,
	  MonoDevelop.Core.Gui/IFileService.cs, Makefile.am,
	  MonoDevelop.Core.Gui.addin.xml: FileService has been moved to
	  MonoDevelop.Core.

2006-12-06 Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* MonoDevelop.Core.Gui.Dialogs/AddinInstallDialog.cs:
	* MonoDevelop.Core.Gui.Dialogs/ResourceService.cs:
	* Freedesktop.RecentFiles/RecentFiles.cs:
	Fixed a few compiler warnings.

2006-11-26 David Makovský (Yakeen) <yakeen@sannyas-on.net>

	* icons/Icons.16x16.FullScreen: replaced by Tango icon
	
2006-11-16  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Gui/MessageService.cs: Added new overload to support
	  modal warning dialogs.

2006-09-19 Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* .: Added svn:ignore for MonoDevelop.Core.Gui.pidb

2006-09-13 Lluis Sanchez Gual  <lluis@novell.com>

	* icons/Icons.16x16.SaveAllIcon:
	* icons/Icons.24x24.SaveAllIcon:
	* MonoDevelop.Core.Gui.addin.xml:
	* Makefile.am: Updated the save all icon and added a new
	  icon size. Icons provided by Michael Monreal.

2006-09-11 Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* MonoDevelop.Core.Gui.Dialogs/TreeViewOptions.cs: Changed
	title to "MonoDevelop Preferences" to adhere to the HIG.

2006-08-21  Andrés G. Aragoneses  <knocte@gmail.com>

	* MonoDevelop.Core.Gui.Dialogs/AddinInstallDialog.cs: Fixed typo.

2006-08-10  Scott Ellington  <scott.ellington@gmail.com>

	* Freedesktop.RecentFiles/RecentFiles.cs: check for null Groups when
	clearing. (fixes bug 79038)

2006-08-08 Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Gui/CommandService.cs: Allow specifying an
	  initial command target when showing a context menu.
	* icons/Icons.16x16.SaveAllIcon: Updated the save all icon.

2006-07-12 Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Gui.Dialogs/AddinInstallDialog.cs: Remove debug code.
	* MonoDevelop.Core.Gui.Dialogs/TreeViewOptions.cs: Added method for
	  selecting a panel in the options dialog.
	* MonoDevelop.Core.Gui.addin.xml: Removed incorrect icon size for
	  the md-software-update icon.

2006-07-03 Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoDevelop.Core.Gui.Dialogs/ProgressDialog.cs: Set the progress
	  bar to complete, when the last task ends.
	* MonoDevelop.Core.Gui.Dialogs/AddinTreeWidget.cs: Made public.
	* MonoDevelop.Core.Gui.Dialogs/ResourceService.cs: Stock icons for which
	  size is not specified are valid for all sizes.
	* MonoDevelop.Core.Gui/Makefile.am: New MD icon.
	* MonoDevelop.Core.Gui.ProgressMonitoring/MessageDialogProgressMonitor.cs:
	  Minor fix.
	* MonoDevelop.Core.Gui.addin.xml: Added new icons with different sizes
	  for the MD logo. Updated add-in and references version.

2006-06-29  Michael Hutchinson <m.j.hutchinson@gmail.com>

	* MonoDevelop.Core.Gui/MessageService.cs: Add new GetPassword method 
	using existing GetTextResponse code.	

2006-06-15 Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Gui/CommandService.cs:
	* MonoDevelop.Core.Gui.Dialogs/ResourceService.cs: Use the new extension
	  listeners to read extensions.

2006-05-31 Lluis Sanchez Gual  <lluis@novell.com>

	* Base.glade: Show enable/disable buttons.
	* MonoDevelop.Core.Gui.Dialogs/AddinTreeWidget.cs: Save/restore
	  the cursor position when refreshing the tree.

2006-05-30 Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Gui.mdp:
	* Makefile.am: Added DesktopApplication.cs.
	* MonoDevelop.Core.Gui.Utils/DesktopApplication.cs: Wrapper for
	  MimeApplication. Implementes some missing properties.

2006-05-25  Mark Howard <mh@tildemh.com> 

	* Base.glade: Make error message text selectable (and hence copy-able)
	
2006-05-05 Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Gui.Codons/ItemSetCodon.cs: Use the new ChildCodons
	  attribute instead of Category.
	* MonoDevelop.Core.Gui.Utils/FileIconLoader.cs: Added workaround for
	  crash in LookupSync.
	* MonoDevelop.Core.Gui.addin.xml: Added description.

2006-05-04 Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Gui.addin.xml: Updated versions.
	* MonoDevelop.Core.Gui.mdp: Updated.

2006-04-07 Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Gui.Codons/LocalCommandItemCodon.cs:
	* MonoDevelop.Core.Gui.Codons/LinkItemCodon.cs:
	* MonoDevelop.Core.Gui.Codons/StockIconCodon.cs:
	* MonoDevelop.Core.Gui.Codons/CommandItemCodon.cs:
	* MonoDevelop.Core.Gui.Codons/CommandCodon.cs:
	* MonoDevelop.Core.Gui.Codons/DialogPanelCodon.cs:
	* MonoDevelop.Core.Gui.Codons/SeparatorItemCodon.cs:
	* MonoDevelop.Core.Gui.addin.xml:
	* MonoDevelop.Core.Gui.Codons/ItemSetCodon.cs: Add documentation.

2006-04-03 Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Gui.Dialogs/ResourceService.cs: Check that
	  icon resources exist before trying to add them.

2006-03-31 Lluis Sanchez Gual  <lluis@novell.com>   

	* MonoDevelop.Core.Gui.addin.xml: Break compatibility
	  with old versions.

2006-03-30 Lluis Sanchez Gual  <lluis@novell.com>

	* Base.glade:
	* MonoDevelop.Core.Gui.Dialogs/AddinInstallDialog.cs: Added a combo
	  to select the filter to apply to the list. Now it can show all
	  packages, only packages not installed or with newer versions,
	  or only updates.

2006-03-24 Lluis Sanchez Gual  <lluis@novell.com>   

	* MonoDevelop.Core.Gui.mdp: Updated.
	* Makefile.am: Use an unified format. Patch by Matze Braun.
	* MonoDevelop.Core.Gui.addin.xml: Updated add-in versions.

2006-03-12  David Makovský (Yakeen) <yakeen@sannyas-on.net>

	* Base.glade: Marking some strings not to be translated. Not include balast in pot file.

2006-03-02  Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* MonoDevelop.Core.Gui/MessageService.cs: Make sure that
	{ and } are escaped correctly. Fixes bug 77675.

2006-02-24  Lluis Sanchez Gual  <lluis@novell.com>   

	* MonoDevelop.Core.Gui.Dialogs/AbstractOptionPanel.cs:
	  Catch exceptions thrown while saving options.

2006-02-19  Andrés G. Aragoneses  <knocte@gmail.com>

	* Base.glade: Improved some strings.
	* MonoDevelop.Core.Gui.Codons/CommandCodon.cs: fixed bug 
	#77516.

2006-02-16  Lluis Sanchez Gual  <lluis@novell.com>   

	* MonoDevelop.Core.Gui/IFileService.cs:
	* MonoDevelop.Core.Gui/DefaultFileService.cs: Added some
	method for notifying file changes.

2006-02-12  Marek Sieradzki  <marek.sieradzki@gmail.com>

	* MonoDevelop.Core.Gui.Components/FileBrowser.cs: Localization fix.

2006-01-25  Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* Base.glade: Corrected spellings of add-in.

2006-01-24  Lluis Sanchez Gual  <lluis@novell.com>   

	* MonoDevelop.Core.Gui.addin.xml:
	* Makefile.am: Added new icons.

2006-01-14  John Luke  <john.luke@gmail.com>   

	* MonoDevelop.Core.Gui.Utils/FileIconLoader.cs:
	rewrite the way we lookup the "icon_name" from Gnome
	to avoid relying on exceptions, and just always use
	"gnome-fs-directory" for directories

2006-01-10 Lluis Sanchez Gual  <lluis@novell.com>   

	* MonoDevelop.Core.Gui/CommandService.cs: Added InsertOptions
	method.
	* MonoDevelop.Core.Gui/MessageService.cs: Improve the error
	dialog. Don't show the stack trace for exceptions of type UserException.

2006-01-04  Alexandre Miguel Pedro Gomes <alexmipego@gmail.com>

	* Makefile.am, icons/uncomment.png, icons/comment.png,
	icons/visual-studio.png, MonoDevelop.Core.Gui.addin.xml: Added icons to
	Import VS Solution, comment and uncomment code.

2005-12-15  Jacob Ilsø Christensen <jacobilsoe@gmail.com> 

	* MonoDevelop.Core.Gui/MessageService.cs: Escape now closes
	message and warning dialogs. Refactored some duplicate methods.
	Cleaned up Gtk namespace usage.
	
2005-12-11  Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* MonoDevelop.Core.Gui.Dialogs/ManageSitesDialog.cs:
	Only enable the delete button when something is selected.

2005-11-25  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Gui/StockIcons.cs:
	* MonoDevelop.Core.Gui.addin.xml: Removed unused icon that doesn't
	exist. This may fix bug #76556.

2005-11-21  Lluis Sanchez Gual  <lluis@novell.com>

	* Base.glade: Hide the enable/disable buttons in the add-in manager,
	since this feature is not yet implemented.
	* MonoDevelop.Core.Gui.Dialogs/AddinManagerDialog.cs: ShowAll is bad.

2005-11-21  Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoDevelop.Core.Gui.Utils/FileIconLoader.cs: Really fix.

2005-11-21  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Gui.Utils/FileIconLoader.cs: Escape some reserved
	characters that cause a crash in gnome_icon_lookup_sync. Based on a
	patch by Dean Brettle. Fixes bug #76776. 

2005-11-14  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Gui/MessageService.cs:
	* MonoDevelop.Core.Gui.Dialogs/ErrorDialog.cs: Don't show the details
	text view if there are no details to show.
	* MonoDevelop.Core.Gui.Components/FileBrowser.cs: Catch some access
	errors.

2005-11-10  Lluis Sanchez Gual  <lluis@novell.com>

	* Base.glade:
	* MonoDevelop.Core.Gui.Dialogs/ProgressDialog.cs: Added close
	button which is used when HideWhenDone is set to false.
	* MonoDevelop.Core.Gui.ProgressMonitoring/MessageDialogProgressMonitor.cs:
	Added option for keeping open the progress dialog when done.
	* MonoDevelop.Core.Gui/GuiSyncContext.cs: always dispatch synchronously
	if already running in the gui thread.
	
2005-11-09  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Gui.Dialogs/AddinInstallDialog.cs:
	* MonoDevelop.Core.Gui.Dialogs/AddinManagerDialog.cs:
	* MonoDevelop.Core.Gui.Dialogs/AddinTreeWidget.cs:
	Added support for installing addins in the home directory.
	
	* Makefile.am: 
	* MonoDevelop.Core.Gui.addin.xml: Added new icon.
	
2005-11-04  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Gui/CommandService.cs:
	* MonoDevelop.Core.Gui.Dialogs/AddinInstallDialog.cs: Fix warning.

2005-10-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Gui.ProgressMonitoring/MessageDialogProgressMonitor.cs:
	Show the error dialog even when the progress dialog is not visible.
	* MonoDevelop.Core.Gui.ProgressMonitoring/BaseProgressMonitor.cs:
	Avoid dispatching through the GUI thread some property getters and setters. 

2005-10-25  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Gui.Utils/FileIconLoader.cs: Avoid potential
	crash of Gnome.Icon.LookupSync when the file does not exist.

2005-10-19  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Core.Gui.mdp: Added new files:
	
	* MonoDevelop.Core.Gui.Dialogs/NewSiteDialog.cs:
	* MonoDevelop.Core.Gui.Dialogs/AddinManagerDialog.cs:
	* MonoDevelop.Core.Gui.Dialogs/ManageSitesDialog.cs:
	* MonoDevelop.Core.Gui.Dialogs/AddinInfoDialog.cs: Made internal.
	
	* MonoDevelop.Core.Gui.Dialogs/AddinInstallDialog.cs: Show a
	progress dialog when updating from repository.
	
	* MonoDevelop.Core.Gui.Dialogs/ProgressDialog.cs:
	* Base.glade: Added progress dialog.
	
	* MonoDevelop.Core.Gui/GuiService.cs: Added method for
	starting the addin manager.
	* MonoDevelop.Core.Gui.ProgressMonitoring/MessageDialogProgressMonitor.cs:
	This progress monitor now displays the progress in a dialog.

2005-10-11  Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoDevelop.Core.Gui/MessageService.cs: Added parameter to showError
	to display the dialog as a modal dialog.
	
	* MonoDevelop.Core.Gui.Dialogs/AddinInfoDialog.cs: 
	* MonoDevelop.Core.Gui.Dialogs/ManageSitesDialog.cs:
	* MonoDevelop.Core.Gui.Dialogs/AddinInstallDialog.cs:
	* MonoDevelop.Core.Gui.Dialogs/AddinManagerDialog.cs:
	* MonoDevelop.Core.Gui.Dialogs/NewSiteDialog.cs:
	* MonoDevelop.Core.Gui.Dialogs/AddinTreeWidget.cs:
	* Base.glade: Initial implementation of an add-in manager.
	
	* Makefile.am: Added new files.
	
	* MonoDevelop.Core.Gui.ProgressMonitoring/BaseProgressMonitor.cs:
	Made some methods public. Implemented BeginStepTask.
	
	* MonoDevelop.Core.Gui.addin.xml:  Fixed addin header information.
	Use "id" attribuet instead of "name" to identify addins.
	Registered some stock icons, applications and services.

2005-10-04  Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoDevelop.Core.Gui.Dialogs/WizardDialog.cs:
	* MonoDevelop.Core.Gui/CommandService.cs: Use the new addin API.
	
	* MonoDevelop.Core.Gui.Dialogs/ResourceService.cs: Converted some static
	methods to instance methods, since they need a properly initialized
	service instance.
	
	* MonoDevelop.Core.Gui.addin.xml: Added addin dependencies.
	Registered ResourceService as a service.

2005-10-04  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am: Install the assembly in the AddIns directory.

2005-09-28  Lluis Sanchez Gual  <lluis@novell.com>

	Created new assembly. Old ChangeLog entries can be found in the
	MonoDevelop.Ide ChangeLog.
